<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
  xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto"
  xmlns:tools="http://schemas.android.com/tools"
  android:layout_width="match_parent"
  android:layout_height="match_parent"
  android:orientation="vertical"
  >

  <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_alignParentStart="true"
    android:layout_alignParentTop="true"
    android:layout_marginTop="77.5dp"
    android:orientation="vertical">

    <TextView
      android:id="@+id/text_title"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:gravity="center_horizontal"
      android:lineSpacingExtra="7sp"
      android:textAlignment="center"
      android:textColor="#000000"
      android:textSize="17.5sp"
      tools:text="@string/sign_up_register_pin_title"
      />

    <Space
      android:layout_width="match_parent"
      android:layout_height="12dp"/>

    <TextView
      android:id="@+id/text_guide"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:lineSpacingExtra="5.5sp"
      android:textAlignment="center"
      android:textColor="#999999"
      android:textSize="14sp"
      tools:text="@string/sign_up_register_pin"
      />
  </LinearLayout>

  <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="35dp"
    android:layout_marginBottom="123dp"
    android:gravity="center"
    android:orientation="horizontal"
    >

    <ImageView
      android:id="@+id/image_pin_code1"
      android:layout_width="10.5dp"
      android:layout_height="10.5dp"
      android:layout_marginLeft="5dp"
      android:layout_marginRight="5dp"
      android:src="@drawable/circle_empty"
      />

    <ImageView
      android:id="@+id/image_pin_code2"
      android:layout_width="10.5dp"
      android:layout_height="10.5dp"
      android:layout_marginLeft="5dp"
      android:layout_marginRight="5dp"
      android:src="@drawable/circle_empty"
      />

    <ImageView
      android:id="@+id/image_pin_code3"
      android:layout_width="10.5dp"
      android:layout_height="10.5dp"
      android:layout_marginLeft="5dp"
      android:layout_marginRight="5dp"
      android:src="@drawable/circle_empty"
      />

    <ImageView
      android:id="@+id/image_pin_code4"
      android:layout_width="10.5dp"
      android:layout_height="10.5dp"
      android:layout_marginLeft="5dp"
      android:layout_marginRight="5dp"
      android:src="@drawable/circle_empty"
      />

  </LinearLayout>
  <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="76.5dp"
    android:orientation="vertical">

    <View
      android:layout_width="match_parent"
      android:layout_height="1dp"
      android:background="#ebebeb"/>

  </LinearLayout>



  <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:layout_marginTop="27dp"

    >

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_gravity="bottom"
      android:orientation="horizontal"
      android:weightSum="3"
      >

      <Button
        android:background="#ffffff"
        android:id="@+id/button_0"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        tools:text="2"
        />

      <Button
        android:background="#ffffff"
        android:id="@+id/button_1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        tools:text="0"
        />

      <Button
        android:background="#ffffff"
        android:id="@+id/button_2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        tools:text="5"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_gravity="bottom"
      android:orientation="horizontal"
      android:weightSum="3"
      >

      <Button
        android:background="#ffffff"
        android:id="@+id/button_3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        tools:text="7"
        />

      <Button
        android:background="#ffffff"
        android:id="@+id/button_4"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        tools:text="3"
        />

      <Button
        android:background="#ffffff"
        android:id="@+id/button_5"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        tools:text="8"
        />
    </LinearLayout>

    <LinearLayout
      android:background="#ffffff"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_gravity="bottom"
      android:orientation="horizontal"
      android:weightSum="3"
      >

      <Button
        android:background="#ffffff"
        android:id="@+id/button_6"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        tools:text="4"
        />

      <Button
        android:id="@+id/button_7"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        android:background="#ffffff"
        tools:text="6"
        />

      <Button
        android:background="#ffffff"
        android:id="@+id/button_8"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        tools:text="9"
        />
    </LinearLayout>

    <LinearLayout

      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:orientation="horizontal"
      android:weightSum="3"
      >

      <Button
        android:background="#ffffff"
        android:id="@+id/button_shuffle"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="14sp"
        android:textColor="#666666"
        android:lineSpacingExtra="5.5sp"
        android:text="@string/sign_up_shuffle"/>

      <Button
        android:background="#ffffff"
        android:id="@+id/button_9"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:textSize="24.5sp"
        android:textColor="#666666"
        android:lineSpacingExtra="9.5sp"
        android:gravity="center_horizontal"
        tools:text="1"
        />

      <ImageButton
        android:background="#ffffff"
        android:id="@+id/button_delete"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:src="@drawable/icon_keypad_delete_copy"
        android:scaleType="fitCenter"
        />
    </LinearLayout>
  </LinearLayout>
</LinearLayout>